package CatalystX::state51::StatusPage;
use MooseX::MethodAttributes::Role;
use state51::Base;
use namespace::autoclean;

our $VERSION = '0.001';

sub status : Chained('/root_noauth') PathPart('status') Args(0) {
    my ( $self, $c ) = @_;
    state51::Base->reconnect_if_dead;
    $c->response->header('Content-Type' => 'text/plain');
    $c->response->body($c->config->{name} . " Version " . $c->VERSION .
        " running under platform $state51::Base::VERSION - all is well.");
}

1;

